## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLTableFunctionImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.TableFunctionImpl
                              org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLTableFunctionImpl

All Implemented Interfaces:
  SQLObject, SQLQueryObject, TableExpression, TableFunction, TableReference, XMLTableFunction

public class XMLTableFunctionImpl
extends TableFunctionImpl
implements XMLTableFunction

An implementation of the model object 'XML Table Function'.

The following features are implemented:

- `Table Row Pattern`
- `Xquery Arg List`
- `Column Def List`
- `Namespaces Decl`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetNamespacesDecl(XMLNamespacesDeclaration newNamespacesDecl, NotificationChain msgs)`
`NotificationChain` `basicSetXqueryArgList(XMLQueryArgumentList newXqueryArgList, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainer(NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`EList` `getColumnDefList()`
`XMLNamespacesDeclaration` `getNamespacesDecl()`
`java.lang.String` `getTableRowPattern()`
`XMLQueryArgumentList` `getXqueryArgList()`
`void` `setNamespacesDecl(XMLNamespacesDeclaration newNamespacesDecl)`
`void` `setTableRowPattern(java.lang.String newTableRowPattern)`
`void` `setXqueryArgList(XMLQueryArgumentList newXqueryArgList)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
`basicSetTableCorrelation, getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getTableRowPattern

    public java.lang.String getTableRowPattern()

  Specified by:
    `getTableRowPattern` in interface `XMLTableFunction`
  Returns:
    the value of the 'Table Row Pattern' attribute.
  See Also:
    `XMLTableFunction.setTableRowPattern(String)`, `SQLXMLQueryModelPackage.getXMLTableFunction_TableRowPattern()`

### setTableRowPattern

    public void setTableRowPattern(java.lang.String newTableRowPattern)

  Specified by:
    `setTableRowPattern` in interface `XMLTableFunction`
  Parameters:
    `newTableRowPattern` - the new value of the 'Table Row Pattern' attribute.
  See Also:
    `XMLTableFunction.getTableRowPattern()`

### getXqueryArgList

    public XMLQueryArgumentList getXqueryArgList()

  Specified by:
    `getXqueryArgList` in interface `XMLTableFunction`
  Returns:
    the value of the 'Xquery Arg List' containment reference.
  See Also:
    `XMLTableFunction.setXqueryArgList(XMLQueryArgumentList)`, `SQLXMLQueryModelPackage.getXMLTableFunction_XqueryArgList()`, `XMLQueryArgumentList.getTableFunction()`

### basicSetXqueryArgList

    public NotificationChain basicSetXqueryArgList(XMLQueryArgumentList newXqueryArgList,
                                                   NotificationChain msgs)

### setXqueryArgList

    public void setXqueryArgList(XMLQueryArgumentList newXqueryArgList)

  Specified by:
    `setXqueryArgList` in interface `XMLTableFunction`
  Parameters:
    `newXqueryArgList` - the new value of the 'Xquery Arg List' containment reference.
  See Also:
    `XMLTableFunction.getXqueryArgList()`

### getColumnDefList

    public EList getColumnDefList()

  Specified by:
    `getColumnDefList` in interface `XMLTableFunction`
  Returns:
    the value of the 'Column Def List' containment reference list.
  See Also:
    `SQLXMLQueryModelPackage.getXMLTableFunction_ColumnDefList()`, `XMLTableColumnDefinitionItem.getTableFunction()`

### getNamespacesDecl

    public XMLNamespacesDeclaration getNamespacesDecl()

  Specified by:
    `getNamespacesDecl` in interface `XMLTableFunction`
  Returns:
    the value of the 'Namespaces Decl' containment reference.
  See Also:
    `XMLTableFunction.setNamespacesDecl(XMLNamespacesDeclaration)`, `SQLXMLQueryModelPackage.getXMLTableFunction_NamespacesDecl()`, `XMLNamespacesDeclaration.getTableFunction()`

### basicSetNamespacesDecl

    public NotificationChain basicSetNamespacesDecl(XMLNamespacesDeclaration newNamespacesDecl,
                                                    NotificationChain msgs)

### setNamespacesDecl

    public void setNamespacesDecl(XMLNamespacesDeclaration newNamespacesDecl)

  Specified by:
    `setNamespacesDecl` in interface `XMLTableFunction`
  Parameters:
    `newNamespacesDecl` - the new value of the 'Namespaces Decl' containment reference.
  See Also:
    `XMLTableFunction.getNamespacesDecl()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `TableFunctionImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `TableFunctionImpl`

### eBasicRemoveFromContainer

    public NotificationChain eBasicRemoveFromContainer(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainer` in class `TableFunctionImpl`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `TableFunctionImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `TableFunctionImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `TableFunctionImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `TableFunctionImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.